Uses of Class
io.vertx.mutiny.ext.web.handler.APIKeyHandler
Packages that use APIKeyHandler
-
Uses of APIKeyHandler in io.vertx.mutiny.ext.web.handler
Fields in io.vertx.mutiny.ext.web.handler with type parameters of type APIKeyHandlerMethods in io.vertx.mutiny.ext.web.handler that return APIKeyHandlerModifier and TypeMethodDescriptionSpecify the source for the api key extraction as an HTTP cookie with the given name.static APIKeyHandlerAPIKeyHandler.create(AuthenticationProvider authProvider) Create an API Key authentication handlerSpecify the source for the api key extraction as an HTTP header with the given name.static APIKeyHandlerAPIKeyHandler.newInstance(io.vertx.ext.web.handler.APIKeyHandler delegate) Creates a new instance of theAPIKeyHandler.Specify the source for the api key extraction as an HTTP query parameter with the given name.APIKeyHandler.tokenExtractor(Function<String, io.smallrye.mutiny.Uni<String>> tokenExtractor) Transform from user's token format to the AuthenticationHandler's format.